#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QTreeWidget>

namespace Ui {
class MainWindow;
}


struct CameraParams
{
    CameraParams(int _id,
                 std::string _name,
                 int _nodeid):
        id(_id),
        name(_name),
        nodeid(_nodeid)
    {

    }

    int         id;
    std::string name;
    int         nodeid;
};


struct NodeParams
{
    NodeParams(int _id, std::string _name, int _parentid):
        id(_id),
        name(_name),
        parentid(_parentid)
    {

    }

    int         id;
    std::string name;
    int         parentid;
};


class MainWindow : public QMainWindow
{
    Q_OBJECT
    
public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();


private slots:
    void resizeColumns(QTreeWidgetItem* item);
    
private:
    Ui::MainWindow *ui;
    QTreeWidget* tree;
    std::vector<NodeParams> nodes;
    std::vector<CameraParams> cameras;

    void buildTree();
    void addChilds(QTreeWidgetItem* item, int id);

};

#endif // MAINWINDOW_H
